%define upstream_name	 Curses
%define upstream_version 1.32

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    1

Summary:	Perl module for character screen handling and windowing


License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://search.cpan.org/CPAN/authors/id/G/GI/GIRAFFED/%{upstream_name}-%{upstream_version}.tgz

BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	perl-devel

%description
Curses is the interface between Perl and your system's curses(3) library. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"
chmod 644 Artistic Copying INSTALL README

%check
%make test

%install
%makeinstall_std

%files
%doc Artistic Copying INSTALL README
%{perl_vendorarch}/auto/Curses
%{perl_vendorarch}/Curses*
%{_mandir}/*/*

%changelog
* Fri Sep 26 2014 dsilakov <denis.silakov@rosalab.ru> 1.320.0-1
+ Revision: 8273b30
- Merge pull request #3 from import/perl-Curses:auto_update
- ROSA Updates Builder: update suggested


